Package org.apache.sling.feature.maven.extensions

# Class FeatureLifecycleMappingProvider

java.lang.Object
org.apache.sling.feature.maven.extensions.FeatureLifecycleMappingProvider

All Implemented Interfaces:
  `javax.inject.Provider<org.apache.maven.lifecycle.mapping.LifecycleMapping>`

@Singleton @Named("slingosgifeature") public class FeatureLifecycleMappingProvider extends Object implements javax.inject.Provider<org.apache.maven.lifecycle.mapping.LifecycleMapping>

## Constructor Summary

Constructors
Constructor
Description
`FeatureLifecycleMappingProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.maven.lifecycle.mapping.LifecycleMapping`
`get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FeatureLifecycleMappingProvider

public FeatureLifecycleMappingProvider()

## Method Details

### get

public org.apache.maven.lifecycle.mapping.LifecycleMapping get()

Specified by:
  `get` in interface `javax.inject.Provider<org.apache.maven.lifecycle.mapping.LifecycleMapping>`